angular.module('IDRMAGISOFT').controller('TelefonoController', TelefonoController);
TelefonoController.$inject = ['$scope', '$state', '$sessionStorage', 'servicios', '$http', '$interval'];
function TelefonoController($scope, $state, $sessionStorage, servicios, $http, $interval) {

    var contarTimer = 0;

    // $interval.cancel(intervalVolver);
    // var intervalVolver = $interval(function () {
    //     contarTimer++;
    //     if (contarTimer == 20) {
    //         contarTimer = 0;
    //         $interval.cancel(intervalVolver);
    //         $state.go("index");
    //     }
    // }, 1000);

    $scope.borrarDigitos = function () {
        var texto = $scope.Telefono;
        $scope.Telefono = texto.substring(0, texto.length - 1);
        contarTimer = 0;
    }

    $(document).ready(function () {
        $('.num').click(function () {
            var num = $(this);
            var text = $.trim(num.find('.txt').clone().children().remove().end().text());
            var telNumber = $('#telNumbe');
            $scope.Telefono = telNumber.val() + text;
            $(telNumber).val(telNumber.val() + text);
            contarTimer = 0;
        });
    });

    $scope.Registrarpersona = function () {
        if($scope.Telefono == "" || $scope.Telefono == null || $scope.Telefono == undefined){
            alert("debe digitar un telefono para que llegue el msg");
        }else {
            $sessionStorage.Telefono = $scope.Telefono;
            $http.get("app/model/Servidor.php?accion=RegistrarTelPaciente&IdPersona=" + $sessionStorage.IdPersona + "&telefono=" +$sessionStorage.Telefono)
            .then(function (response) {
                $state.go("Sercivios");
                $scope.Telefono = "";
                var telNumber = $('#nombre');
                $(telNumber).val(telNumber.val() = " ");
            });
        }
    }

}